﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceModel;
using System.Text;

namespace WCFSample.Service
{
    /// <summary>
    /// Interfész a callback hívásokhoz.
    /// </summary>
    public interface ISampleCallback
    {
        /// <summary>
        /// Értesítés új elem felvételéről.
        /// </summary>
        /// <param name="item">Az új elem.</param>
        [OperationContract(IsOneWay = true)]
        void OnItemAdded(Item item);
    }
}
